### Name: runHmmld
### Title: A function for estimating relatedness between to individuals
###   using SNP data
### Aliases: runHmmld
### Keywords: models

### ** Examples

set.seed(3) 
n<-100 #number of individuals
snp=1000 #number of SNPs
freq<-runif(snp,min=0.01,max=0.99) #the population allele frequency of the SNPs (assumed to be uniform for SNP chip data)
data<-matrix(rbinom(n*snp,2,freq),ncol=snp)+1
s<- sim_chr(snp,freq=freq, min=0.5, max=0.95, k=c(0.25,0.5,0.25), a=0.026, number_per_cm=5 )#simulate chromosomes for a sib pair
data<-rbind(t(s$geno)+1,data)
t<-runHmmld(data,pair=c(1,2),pos=s$pos/1e6)#estimate tracts of relatedness
print(t)
plot(t)
points(s$pos/1e6,rep(0.4,s$snp),col=3-s$state,pch="|")#plot the true states
text(mean(max(s$pos)/2/1e6),0.45,"true States")
legend(150,0.9,paste("IBD=",2:0),col=1:3,lty=1)




